cURL
curl --request POST \
--url https://sandbox.withclasp.com/payroll_payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"member": "<string>",
"payday": "2023-12-25",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"hours_worked": "<string>",
"gross_pay": "<string>",
"payroll_provider_external_id": "<string>"
}
'import requests
url = "https://sandbox.withclasp.com/payroll_payments"
payload = {
"member": "<string>",
"payday": "2023-12-25",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"hours_worked": "<string>",
"gross_pay": "<string>",
"payroll_provider_external_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
member: '<string>',
payday: '2023-12-25',
period_start: '2023-12-25',
period_end: '2023-12-25',
hours_worked: '<string>',
gross_pay: '<string>',
payroll_provider_external_id: '<string>'
})
};
fetch('https://sandbox.withclasp.com/payroll_payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"member": "<string>",
"payday": "2023-12-25",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"hours_worked": "<string>",
"gross_pay": "<string>",
"payroll_provider_external_id": "<string>"
}Payroll Payments
Create Payroll Payment
Creates a payroll payment to represent a paid paycheck for a given member to feed into ACA calculations.
POST
/
payroll_payments
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Pattern:
^-?\d{0,3}(?:\.\d{0,2})?$Pattern:
^-?\d{0,8}(?:\.\d{0,2})?$Unique identifier for the payroll payment in the payroll system.
Maximum string length:
255Response
201 - application/json
Pattern:
^[-a-zA-Z0-9_]+$Pattern:
^-?\d{0,3}(?:\.\d{0,2})?$Pattern:
^-?\d{0,8}(?:\.\d{0,2})?$Unique identifier for the payroll payment in the payroll system.
Maximum string length:
255⌘I